package com.sybotan.android.graphy


import android.graphics.Matrix
import android.view.MotionEvent


class SMotionEvent() {

    /** x 坐标 */
    var y  = 0.0f
    /** y 坐标 */
    var x = 0.0f
    /** 事件类型 */
    var action: Int = 0
    /** 图坐标 X */
    var viewX = 0.0f
    /** 图坐标 Y */
    var viewY = 0.0f
    /** 矩阵 */
    var matrix = Matrix()


    constructor(e: MotionEvent){
        this.viewX = e.x
        this.viewY = e.y
        this.action = e.action
    }

    constructor(e: SMotionEvent){
        this.x = e.x
        this.y = e.y
        this.viewX = e.viewX
        this.viewY = e.viewY
        this.action = e.action
        matrix.set(e.matrix)

    }
}